#ifndef ANDROIDAPPLICATIONCOMPONENT_H_
#define ANDROIDAPPLICATIONCOMPONENT_H_

#include <msp/builder/component.h>

class AndroidApplicationComponent: public Component
{
public:
	class Loader: public Msp::DataFile::DerivedObjectLoader<AndroidApplicationComponent, Component::Loader>
	{
	public:
		Loader(AndroidApplicationComponent &);

	private:
		void permission(const std::string &);
	};

private:
	std::string orientation;
	std::vector<std::string> permissions;

public:
	AndroidApplicationComponent(SourcePackage &p, const std::string &n): Component(p, n) { }

	void create_targets() const override;
};

#endif
