#include <msp/builder/component.h>
#include <msp/builder/sourcepackage.h>
#include "androidmanifestfile.h"
#include "androidresourcebundle.h"

using namespace std;

AndroidResourceBundle::AndroidResourceBundle(Builder &b, const Component &c, AndroidManifestFile &manifest, const vector<FileTarget *> &resources):
	FileTarget(b, c.get_package(), c.get_package().get_temp_directory()/c.get_name()/(c.get_name()+".ap_"))
{
	component = &c;

	add_dependency(manifest);
	for(FileTarget *f: resources)
		add_dependency(*f);
}
