#ifndef ANDROIDRESOURCEFILE_H_
#define ANDROIDRESOURCEFILE_H_

#include <msp/builder/filetarget.h>

/**
A file destined to be used as a resource in an Android application.
*/
class AndroidResourceFile: public FileTarget
{
private:
	std::string resource_type;

public:
	AndroidResourceFile(Builder &, const Component &, const Msp::FS::Path &);

	const char *get_type() const override { return "AndroidResourceFile"; }
};

#endif
