#include "basetools.h"
#include "copy.h"
#include "compilecommandsgenerator.h"
#include "pkgconfiggenerator.h"
#include "tar.h"

BaseTools::BaseTools(Builder &builder)
{
	add_tool(new Copy(builder));
	add_tool(new Tar(builder));
	add_tool(new PkgConfigGenerator(builder));
	add_tool(new CompileCommandsGenerator(builder));
}
