#ifndef PKGCONFIGFILE_H_
#define PKGCONFIGFILE_H_

#include <msp/builder/sourcepackage.h>
#include <msp/builder/filetarget.h>

/**
Creates a .pc file to enable other packages fetch build options with pkg-config.
*/
class PkgConfigFile: public FileTarget
{
public:
	PkgConfigFile(Builder &, const SourcePackage &);

	const char *get_type() const override { return "PkgConfigFile"; }
};

#endif
