#ifndef PKGCONFIGGENERATOR_H_
#define PKGCONFIGGENERATOR_H_

#include <msp/builder/tool.h>

class PkgConfigFile;

class PkgConfigGenerator: public Tool
{
public:
	PkgConfigGenerator(Builder &);

	Target *create_target(const std::vector<Target *> &, const std::string &) override;

private:
	static bool _run(const PkgConfigFile &);
	static std::string prefixify(const Msp::FS::Path &, const Msp::FS::Path &);
};

#endif
