#include <msp/builder/sourcepackage.h>
#include "tar.h"
#include "tarball.h"

using namespace std;

TarBall::TarBall(Builder &b, const SourcePackage &p, const string &n):
	FileTarget(b, p, p.get_source_directory()/(n+".tar"))
{ }

const SourcePackage *TarBall::get_package() const
{
	return static_cast<const SourcePackage *>(package);
}
