#ifndef FEATURE_H_
#define FEATURE_H_

#include <msp/datafile/objectloader.h>

struct Feature
{
	class Loader: public Msp::DataFile::ObjectLoader<Feature>
	{
	public:
		Loader(Feature &);

	private:
		void choice(const std::string &);
	};

	std::string name;
	std::string description;
	std::string default_value = "no";
	std::vector<std::string> choices;
	bool exported = false;

	Feature(const std::string &n): name(n) { }
};

#endif
