#ifndef FILE_H_
#define FILE_H_

#include "filetarget.h"
#include "libbuilder_api.h"

/**
Just an arbitrary file.  No special meaning attached.
*/
class LIBBUILDER_API File: public FileTarget
{
public:
	File(Builder &b, const Msp::FS::Path &t): FileTarget(b, t) { }
	File(Builder &b, const SourcePackage &p, const Msp::FS::Path &t): FileTarget(b, p, t) { }

	const char *get_type() const override { return "File"; }
};

#endif
