#include <msp/strings/regex.h>
#include "objcsourcefile.h"

using namespace std;
using namespace Msp;

void ObjCSourceFile::parse_includes(IO::Base &in)
{
	static Regex r_include("^[ \t]*#(include|import)[ \t]+([\"<].*)[\">]");

	string line;
	while(in.getline(line))
		if(RegMatch match = r_include.match(line))
			includes.push_back(match[2].str);
}
