#ifndef OBJCSOURCEFILE_H_
#define OBJCSOURCEFILE_H_

#include "csourcefile.h"
#include "libbuilder_api.h"

/**
Represents an Objective-C source file.
*/
class LIBBUILDER_API ObjCSourceFile: public CSourceFile
{
public:
	using CSourceFile::CSourceFile;

	const char *get_type() const override { return "ObjCSourceFile"; }

protected:
	void parse_includes(Msp::IO::Base &) override;
};

#endif
