#ifndef TEMPLATEFILE_H_
#define TEMPLATEFILE_H_

#include "libbuilder_api.h"
#include "sourcefile.h"

/**
Input file for SourceGenerator.
*/
class LIBBUILDER_API TemplateFile: public SourceFile
{
public:
	TemplateFile(Builder &b, const Component &c, const Msp::FS::Path &p): SourceFile(b, c, p) { }

	const char *get_type() const override { return "TemplateFile"; }
};

#endif
