#ifndef ANDROIDASSETPACKAGINGTOOL_H_
#define ANDROIDASSETPACKAGINGTOOL_H_

#include <msp/builder/tool.h>

class AndroidResourceBundle;
class AndroidSdk;

class AndroidAssetPackagingTool: public Tool
{
private:
	const AndroidSdk &sdk;

public:
	AndroidAssetPackagingTool(Builder &, const AndroidSdk &);

	Target *create_target(const std::vector<Target *> &, const std::string &) override;

private:
	static ExternalTask::Arguments _run(const AndroidResourceBundle &, Msp::FS::Path &);
};

#endif
