#include <msp/builder/component.h>
#include <msp/builder/sourcepackage.h>
#include "androidpackagefile.h"
#include "androidresourcebundle.h"

using namespace std;

AndroidPackageFile::AndroidPackageFile(Builder &b, const Component &c, AndroidResourceBundle &resource_bundle, const vector<FileTarget *> &other_files):
	FileTarget(b, c.get_package(), c.get_package().get_output_directory()/(c.get_name()+".apk"))
{
	component = &c;

	add_dependency(resource_bundle);
	for(FileTarget *f: other_files)
		add_dependency(*f);
}
