#ifndef APKBUILDER_H_
#define APKBUILDER_H_

#include <msp/builder/tool.h>

class AndroidPackageFile;

class ApkBuilder: public Tool
{
public:
	ApkBuilder(Builder &);

	Target *create_target(const std::vector<Target *> &, const std::string &) override;
protected:
	void do_prepare(ToolData &) const override;

private:
	static Task *_run(const Target &);
};

#endif
