#ifndef JARSIGNER_H_
#define JARSIGNER_H_

#include <msp/builder/tool.h>

class FileTarget;

class JarSigner: public Tool
{
public:
	JarSigner(Builder &);

	Target *create_target(const std::vector<Target *> &, const std::string &) override;

private:
	static ExternalTask::Arguments _run(const FileTarget &, Msp::FS::Path &);
};

#endif
