#ifndef COPY_H_
#define COPY_H_

#include <msp/builder/tool.h>

class InstalledFile;

/**
Copies a file to another place.  Used by the InstalledFile target.
*/
class Copy: public Tool
{
public:
	Copy(Builder &);

	Target *create_target(const std::vector<Target *> &, const std::string &) override;

private:
	static bool _run(const InstalledFile &);
};

#endif
