#ifndef DATACOLLECTION_H_
#define DATACOLLECTION_H_

#include <msp/builder/filetarget.h>

class DataTransform;

class DataCollection: public FileTarget
{
private:
	DataTransform &source;

public:
	DataCollection(Builder &, const Component &, DataTransform &);
private:
	static Msp::FS::Path generate_target_path(const Component &, const Msp::FS::Path &);

public:
	const char *get_type() const override { return "DataCollection"; }
	DataTransform &get_source() const { return source; }
};

#endif
