#ifndef DATASOURCEFILE_H_
#define DATASOURCEFILE_H_

#include <msp/builder/sourcefile.h>

class DataSourceFile: public SourceFile
{
public:
	DataSourceFile(Builder &b, const Msp::FS::Path &p): SourceFile(b, p) { }
	DataSourceFile(Builder &b, const Component &c, const Msp::FS::Path &p): SourceFile(b, c, p) { }

	const char *get_type() const override { return "DataSourceFile"; }
};

#endif
