#ifndef DATACOMPILER_H_
#define DATACOMPILER_H_

#include <msp/builder/tool.h>

class DataTool: public Tool
{
public:
	DataTool(Builder &);

	Target *create_source(const Component &, const Msp::FS::Path &) const override;
	Target *create_target(const std::vector<Target *> &, const std::string &) override;
	std::string create_build_signature(const BuildInfo &) const override;

private:
	static Task *_run(const Target &);
};

#endif
