#ifndef DATATRANSFORM_H_
#define DATATRANSFORM_H_

#include <msp/builder/filetarget.h>

class DataTransform: public FileTarget
{
private:
	Msp::Time::TimeStamp dir_mtime;

public:
	DataTransform(Builder &, const Component &, const Msp::FS::Path &);

	const char *get_type() const override { return "DataTransform"; }

private:
	void find_dependencies() override;
};

#endif
