#ifndef GNUARCHIVER_H_
#define GNUARCHIVER_H_

#include <msp/builder/tool.h>

class StaticLibrary;

class GnuArchiver: public Tool
{
public:
	GnuArchiver(Builder &, const Architecture &);

	Target *create_target(const std::vector<Target *> &, const std::string &) override;

private:
	static ExternalTask::Arguments _run(const StaticLibrary &, Msp::FS::Path &);
};

#endif
