#include "gnuplugin.h"
#include "gnutools.h"

void GnuPlugin::add_tools(Toolchain &toolchain, const Architecture &arch) const
{
	toolchain.add_toolchain(new GnuTools(builder, arch));
}


#ifdef GNUTOOLS_BUILD
#if defined(_WIN32)
#define GNUTOOLS_API __declspec(dllexport)
#elif defined(__GNUC__)
#define GNUTOOLS_API __attribute__((visibility("default")))
#else
#define GNUTOOLS_API
#endif

extern "C"
GNUTOOLS_API Plugin *create_plugin(Builder &builder)
{
	return new GnuPlugin(builder);
}
#endif
