#ifndef MSVCARCHIVER_H_
#define MSVCARCHIVER_H_

#include <msp/builder/tool.h>

class MicrosoftTools;
class StaticLibrary;

class MsvcArchiver: public Tool
{
private:
	const MicrosoftTools &ms_tools;

public:
	MsvcArchiver(Builder &, const Architecture &, const MicrosoftTools &);

	Target *create_target(const std::vector<Target *> &, const std::string &) override;

private:
	static ExternalTask::Arguments _run(const StaticLibrary &, Msp::FS::Path &);
};

#endif
