#ifndef VCXPROJECTFILE_H_
#define VCXPROJECTFILE_H_

#include <msp/builder/filetarget.h>

class VcxProjectFile: public FileTarget
{
private:
	std::string guid;

public:
	VcxProjectFile(Builder &, const SourcePackage &);

	const char *get_type() const override { return "VcxProjectFile"; }

	const std::string &get_guid() const { return guid; }
};

#endif
