#ifndef EXECUTABLE_H_
#define EXECUTABLE_H_

#include "binary.h"
#include "libbuilder_api.h"

class LIBBUILDER_API Executable: public Binary
{
public:
	Executable(Builder &b, const Msp::FS::Path &p): Binary(b, p) { }
	Executable(Builder &, const Component &, const std::vector<ObjectFile *> &);

	const char *get_type() const override { return "Executable"; }
};

#endif
