#ifndef SYSUTILS_H_
#define SYSUTILS_H_

#include <string>
#include <msp/fs/path.h>
#include "libbuilder_api.h"

LIBBUILDER_API std::string get_system_type();
LIBBUILDER_API Msp::FS::Path get_program_files_x86_dir();

template<typename T>
T get_registry_value(const std::string &);

#endif
