#ifndef VIRTUALTARGET_H_
#define VIRTUALTARGET_H_

#include "libbuilder_api.h"
#include "target.h"

/**
A target that is not associated with any file.
*/
class LIBBUILDER_API VirtualTarget: public Target
{
public:
	VirtualTarget(Builder &b, const std::string &n): Target(b, n) { }

	const char *get_type() const override { return "VirtualTarget"; }
private:
	void check_rebuild() override;

public:
	Task *build() override;
};

#endif
